#pragma once
#include "INKSDoc.h"

// CCollapseDialog dialog

class CCollapseDialog : public CDialog
{
	DECLARE_DYNAMIC(CCollapseDialog)

public:
	CCollapseDialog(CWnd* pParent = NULL);   // standard constructor
	virtual ~CCollapseDialog();
	bool InitDialog(CList<CCommonObject*, CCommonObject*> *pList);

// Dialog Data
	enum { IDD = IDD_COLLAPSEINTOBLOCK };
	afx_msg BOOL OnInitDialog();

	afx_msg void OnInListChange();
	afx_msg void OnOutListChange();
	afx_msg void OnChangeInName();
	afx_msg void OnChangeOutName();
	

protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support

public:
	CStringList m_strlistIns;
	CStringList m_strlistOuts;
	CString m_strBlockName;

	DECLARE_MESSAGE_MAP()
public:
	afx_msg void OnBnClickedOk();
};
